Make iso scripts require ruby 1.9.3 or higher

Bug #1297664 reported by Vladimir Sharshov on 2014-03-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
Critical
Roman Vyalov

Bug Description

A few days ago (i think yesterday ) make iso do not build iso if we system use Ruby 1.8.7 (default for Ubuntu 12.04). This is not bad, but we should add information about this obviously.
Doc in http://docs.mirantis.com/fuel-dev/develop/env.html#building-the-fuel-iso only talk about Ruby in context of Ubuntu 12.10 (which use Ruby 1.9.3, but it is necessary to know)

   Installing rake (10.2.0)
   Gem::InstallError: rake requires Ruby version >= 1.9.
   An error occurred while installing rake (10.2.0), and Bundler cannot continue.
   Make sure that `gem install rake -v '10.2.0'` succeeds before bundling.

description: updated
Mike Scherbakov (mihgen) wrote :

It is critical to keep this piece of documentation always up to date.

Changed in fuel:
importance: Medium → Critical
tags: added: docs
Vladimir Sharshov (vsharshov) wrote :

Workaround of Ubuntu 12.04:

   sudo apt-get --purge remove ruby-rvm
   sudo rm -rf /usr/share/ruby-rvm /etc/rvmrc /etc/profile.d/rvm.sh
   \curl -sSL https://get.rvm.io | bash -s stable
   source ~/.bash_profile # Or just open new session
   rvm install 1.9.3
   rvm use 1.9.3

And now before start building iso just use `rvm use 1.9.3` or set this Ruby as default:
  rvm --default use 1.9.3

Fix proposed to branch: master
Review: https://review.openstack.org/83095

Changed in fuel:
status: New → In Progress

Reviewed: https://review.openstack.org/83095
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=5505a5495402b9e43dbd4dd7a816530fe396872e
Submitter: Jenkins
Branch: master

commit 5505a5495402b9e43dbd4dd7a816530fe396872e
Author: Roman Vyalov <email address hidden>
Date: Wed Mar 26 19:13:46 2014 +0400

    Freeze version of rake gems

    Change-Id: Ib5af3efde0b2edd2401e85a143119bc13d21d9b2
    Closes-Bug: #1297664

Changed in fuel:
status: In Progress → Fix Committed
Andrew Woodward (xarses) wrote :

Please backport

tags: added: backports-4.1.1
Changed in fuel:
milestone: 5.0 → 4.1.1
status: Fix Committed → In Progress
Roman Vyalov (r0mikiam) on 2014-04-11
Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.openstack.org/93573
Committed: https://git.openstack.org/cgit/stackforge/fuel-main/commit/?id=9e12dcce4ebfbd608910481570c721720fbf1edc
Submitter: Jenkins
Branch: stable/4.1

commit 9e12dcce4ebfbd608910481570c721720fbf1edc
Author: Roman Vyalov <email address hidden>
Date: Wed Mar 26 19:13:46 2014 +0400

    Freeze version of rake gems

    Change-Id: Ib5af3efde0b2edd2401e85a143119bc13d21d9b2
    Closes-Bug: #1297664
    (cherry picked from commit 5505a5495402b9e43dbd4dd7a816530fe396872e)

Changed in fuel:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers